# OpenML dataset: Moneyball

https://www.openml.org/d/41021

## Structure

The dataset has the following file structure:

* `dataset/`
  * `tables/`
    * [`data.csv`](./dataset/tables/data.csv): CSV file with data
    * [`data.pq`](./dataset/tables/data.pq): Parquet file with data
  * [`metadata.json`](./dataset/metadata.json): OpenML description of the dataset
  * [`features.json`](./dataset/features.json): OpenML description of table columns
  * [`qualities.json`](./dataset/qualities.json): OpenML qualities (meta-features)

## Description

**Author**: MITx  
**Source**: [Kaggle](https://www.kaggle.com/wduckett/moneyball-mlb-stats-19622012/data), originally from [The Analytics Edge course on EdX](https://www.edx.org/course/analytics-edge-mitx-15-071x-3). Data collected from [baseball-reference.com](baseball-reference.com)  
**Please cite**:   

**Moneyball**  
In the early 2000s, Billy Beane and Paul DePodesta worked for the Oakland Athletics. While there, they literally changed the game of baseball. They didn't do it using a bat or glove, and they certainly didn't do it by throwing money at the issue; in fact, money was the issue. They didn't have enough of it, but they were still expected to keep up with teams that had much deeper pockets. This is where Statistics came riding down the hillside on a white horse to save the day. This data set contains some of the information that was available to Beane and DePodesta in the early 2000s, and it can be used to better understand their methods.

### Attributes  
This data set contains a set of variables that Beane and DePodesta focused heavily on. They determined that stats like on-base percentage (OBP) and slugging percentage (SLG) were very important when it came to scoring runs, however they were largely undervalued by most scouts at the time. This translated to a gold mine for Beane and DePodesta. Since these players weren't being looked at by other teams, they could recruit these players on a small budget. The variables are as follows:

Team  
League  
Year  
Runs Scored (RS)  
Runs Allowed (RA)  
Wins (W)  
On-Base Percentage (OBP)  
Slugging Percentage (SLG)  
Batting Average (BA)  
Playoffs (binary)  
RankSeason  
RankPlayoffs  
Games Played (G)  
Opponent On-Base Percentage (OOBP)  
Opponent Slugging Percentage (OSLG)  

### Acknowledgements  
This data set is referenced in The Analytics Edge course on EdX during the lecture regarding the story of Moneyball. The data itself is gathered from baseball-reference.com. Sports-reference.com is one of the most comprehensive sports statistics resource available, and I highly recommend checking it out.

Inspiration
It is such an important skill in today's world to be able to see the "truth" in a data set. That is what DePodesta was able to do with this data, and it unsettled the entire system of baseball recruitment. Beane and DePodesta defined their season goal as making it to playoffs. With that in mind, consider these questions:

How does a team make the playoffs?
How does a team win more games?
How does a team score more runs?
They are all simple questions with simple answers, but now it is time to use the data to find the "truth" hidden in the numbers.

## Contributing

This is a [read-only mirror](https://gitlab.com/data/d/openml/41021) of an [OpenML dataset](https://www.openml.org/d/41021). Contribute any changes to the dataset there. Alternatively, [fork the dataset](https://gitlab.com/data/d/openml/41021/-/forks/new) or [find an existing fork](https://gitlab.com/data/d/openml/41021/-/forks) to contribute to.

You can use [issues](https://gitlab.com/data/d/openml/41021/-/issues) to discuss the dataset and any issues.

For more information see [https://datagit.org/](https://datagit.org/).

